diff tests/check-gendoc @ 28809:7a1ad08b9ff5

tests: splitting test-gendoc.t into per file tests Localizers can now run test-gendoc-$LOCALE.t instead of test-gendoc.t. After this change, test-gendoc.t only checks whether there is *some* localization for the expected set of languages and no others. Whenever a locale i18n/$LOCALE.po is added, someone needs to add test-gendoc-$LOCALE.t
author timeless <timeless@mozdev.org>
date Wed, 06 Jan 2016 20:45:50 +0000
parents tests/test-gendoc.t@3d1baa702d1a
children 69c99898a48f
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/check-gendoc	Wed Jan 06 20:45:50 2016 +0000
@@ -0,0 +1,11 @@
+#!/bin/sh
+HGENCODING=UTF-8
+export HGENCODING
+
+echo ".. -*- coding: utf-8 -*-" > gendoc.txt
+echo "" >> gendoc.txt
+LANGUAGE=$1 python "$TESTDIR/../doc/gendoc.py" >> gendoc.txt 2> /dev/null || exit
+
+echo "checking for parse errors"
+python "$TESTDIR/../doc/docchecker" gendoc.txt
+python "$TESTDIR/../doc/runrst" html gendoc.txt /dev/null